Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class Date

    java.lang.Object
      |
      +--java.util.Date
            |
            +--java.sql.Date

All Implemented Interfaces:
  Cloneable, Comparable, Serializable

public class Date
extends Date

A thin wrapper around a millisecond value that allows JDBC to identify this as a SQL DATE. A milliseconds value represents the number of milliseconds that have passed since January 1, 1970 00:00:00.000 GMT.

To conform with the definition of SQL DATE, the millisecond values wrapped by a java.sql.Date instance must be 'normalized' by setting the hours, minutes, seconds, and milliseconds to zero in the particular time zone with which the instance is associated.

See Also:
  Serialized Form

Constructor Summary
`Date(int year, int month, int day)` Deprecated. instead use the constructor `Date(long date)`
`Date(long date)` Constructs a `Date` object using a milliseconds time value.

Method Summary
`int` | `getHours()` Deprecated.
`int` | `getMinutes()` Deprecated.
`int` | `getSeconds()` Deprecated.
`void` | `setHours(int i)` Deprecated.
`void` | `setMinutes(int i)` Deprecated.
`void` | `setSeconds(int i)` Deprecated.
`void` | `setTime(long date)` Sets an existing `Date` object using the given milliseconds time value.
`String` | `toString()` Formats a date in the date escape format yyyy-mm-dd.
`static Date` | `valueOf(String s)` Converts a string in JDBC date escape format to a `Date` value.

Methods inherited from class java.util.Date
`after, before, clone, compareTo, compareTo, equals, getDate, getDay, getMonth, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setMonth, setYear, toGMTString, toLocaleString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Date

    public Date(int year,
                int month,
                int day)

  Deprecated. instead use the constructor `Date(long date)`

  Constructs a `Date` object initialized with the given year, month, and day.
  Parameters:
    `year` - year-1900
    `month` - 0 to 11
    `day` - 1 to 31

### Date

    public Date(long date)

  Constructs a `Date` object using a milliseconds time value. If the given millisecond value contains time information, the driver will set the time components to zero.
  Parameters:
    `date` - milliseconds since January 1, 1970, 00:00:00 GMT. A negative number indicates the number of milliseconds before January 1, 1970, 00:00:00 GMT.

Method Detail

### setTime

    public void setTime(long date)

  Sets an existing `Date` object using the given milliseconds time value. If the given milliseconds value contains time information, the driver will set the time components to zero.
  Overrides:
    `setTime` in class `Date`
  Parameters:
    `date` - milliseconds since January 1, 1970, 00:00:00 GMT. A negative number indicates the number of milliseconds before January 1, 1970, 00:00:00 GMT.

### valueOf

    public static Date valueOf(String s)

  Converts a string in JDBC date escape format to a `Date` value.
  Parameters:
    `s` - date in format "yyyy-mm-dd"
  Returns:
    a `Date` object representing the given date

### toString

    public String toString()

  Formats a date in the date escape format yyyy-mm-dd.

  NOTE: To specify a date format for the class `SimpleDateFormat`, use "yyyy.MM.dd" rather than "yyyy-mm-dd". In the context of `SimpleDateFormat`, "mm" indicates minutes rather than the month. For example:

       Format Pattern                         Result
        --------------                         -------
      	"yyyy.MM.dd G 'at' hh:mm:ss z"    ->>  1996.07.10 AD at 15:08:56 PDT

  Overrides:
    `toString` in class `Date`
  Returns:
    a String in yyyy-mm-dd format

### getHours

    public int getHours()

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.
  Overrides:
    `getHours` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### getMinutes

    public int getMinutes()

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.
  Overrides:
    `getMinutes` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### getSeconds

    public int getSeconds()

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.
  Overrides:
    `getSeconds` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### setHours

    public void setHours(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.
  Overrides:
    `setHours` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### setMinutes

    public void setMinutes(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.
  Overrides:
    `setMinutes` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### setSeconds

    public void setSeconds(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.
  Overrides:
    `setSeconds` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.